<?php
require'fun.php';
require'f_conectare.php';
conectare('joaca Barn Buddy','joaca-barnbuddy');
if($_SERVER['REQUEST_URI']!='/joaca-barnbuddy')
$back[1]='<a href="/joaca-barnbuddy">Barn Buddy</a>';
$barnbuddy=$conn->query('SELECT`de`,`bani`,`premiu`,`premiudata`,`vizite`,`data`,`dataplantare`,`datahranire`,`pamant`FROM`barnbuddy_membrii`WHERE`de`="'.$de.'"')->fetch_row();
if($barnbuddy[0]==0&&$_SERVER['REQUEST_URI']!='/informatii-barnbuddy'&&$_SERVER['REQUEST_URI']!='/informatii-barnbuddy-premium'&&$_SERVER['REQUEST_URI']!='/vreau-barnbuddy')
{
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ești inscris în joc!'.$div[0].$div[1].'<a href="/informatii-barnbuddy">Informații Barn Buddy</a>'.$div[0].$div[1].'<a href="/vreau-barnbuddy">Vreau Barn Buddy</a> costă <strong>'.$lei['barnbuddy'].'</strong> lei!'.$div[0];
require'f_jos.php';
}
if($la!='')
{
$barnbuddyy=$conn->query('SELECT`de`,`bani`,`vizite`,`data`,`insecte`,`buruieni`,`dataudare`,`databani`,`care`,`datainsecte`,`databuruieni`,`dataudare`,`databani`FROM`barnbuddy_membrii`WHERE`de`="'.$la.'"')->fetch_row();
if($barnbuddyy[0]==0)
{
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest membru nu este inscris în joc!'.$div[0];
require'f_jos.php';
}
}
$dapplantele=$conn->query('SELECT COUNT(*)FROM`barnbuddy_pamant`')->fetch_row()[0];
if($conn->query('SELECT`pamant`FROM`barnbuddy_membrii`WHERE`de`="'.$de.'"&&`pamant`="'.$dapplantele.'"')->fetch_row()[0])
{
require'f_notificare.php';
$items=$conn->query('SELECT`de`FROM`barnbuddy_membrii`WHERE`de`!="'.$de.'"');
while($item=$items->fetch_row())
{
notificare('am ajuns să cumpăr toate cele [b]'.$dapplantele.'[/b] bucăți de pământ la jocul [b]Barn Buddy[/b], și am primit [b]'.$lei['barnbuddy'].'[/b] lei![br/]Ajungi și tu la cele [b]'.$dapplantele.'[/b] bucăți de pământ, și vei primi [b]'.$lei['barnbuddy'].'[/b] lei ca bonus![br/]Mult succes data viitoare!',$item[0],$de);
}
$conn->query('UPDATE`membrii`SET`lei`=lei+'.$lei['barnbuddy'].' WHERE`id`="'.$de.'"');
$conn->query('UPDATE`barnbuddy_membrii`SET`bani`=DEFAULT,`pamant`=DEFAULT,`vizite`=DEFAULT');
$conn->query('TRUNCATE TABLE`barnbuddy_experienta`');
$conn->query('TRUNCATE TABLE`barnbuddy_plante`');
$titlu='Joaca Barn Buddy';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Bravo '.nume($de).'!<br />Ai ajuns la <strong>'.$dapplantele.'</strong> bucăți de pământ cumpărate, și primești de la Barn Buddy <strong>'.$lei['barnbuddy'].'</strong> lei ca bonus!'.$div[0];
require'f_jos.php';
}